# transaddr.h File Reference

`#include <opal/buildopts.h>`
`#include <ptlib/sockets.h>`
`#include <opal/transports.h>`

Include dependency graph for transaddr.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | H323TransportAddress
class | H323TransportAddressArray

## Typedefs

typedef OpalListener | H323Listener
typedef PList< H323Listener > | H323ListenerList
typedef OpalTransport | H323Transport
typedef OpalTransportUDP | H323TransportUDP

## Functions

void | H323SetTransportAddresses (const H323Transport &associatedTransport, const H323TransportAddressArray &addresses, H225_ArrayOf_TransportAddress &pdu)

## Typedef Documentation

typedef OpalListener H323Listener

typedef PList<H323Listener> H323ListenerList

typedef OpalTransport H323Transport

typedef OpalTransportUDP H323TransportUDP

## Function Documentation

void H323SetTransportAddresses | ( | const H323Transport & | associatedTransport,
|  | const H323TransportAddressArray & | addresses,
|  | H225_ArrayOf_TransportAddress & | pdu |
| ) |  |  |

Set the PDU field for the list of transport addresses

Parameters:

  associatedTransport | Transport for NAT address translation
  addresses | Addresses to set
  pdu | List of PDU transport addresses